/* Extended message structure, which is used for communicating between FS
 * and its consuments.
 */


#ifndef _MESSAGE_H
#define _MESSAGE_H

/* Declaration of the extended message structure as it is in the call and buffer. */
	typedef struct {
		ipcarg_t id_task;		/* id of currently consument */
		ipcarg_t fd;			/* file descriptor */
		ipcarg_t whence;		/* start position of SEEK */

		/* Parameters which are present only in the buffer. */
		unsigned int nbytes;		/* number of bytes which will be read */
		offset_t offset;		/* offset of SEEK */
		char fname[DIRSIZEX];		/* file name */
		int entry_number;		/* number of directory entry */
	} message_params_t;

#endif /* _MESSAGE_H */
